import { sourcePackageJson } from "./sourcePackageJson.js";
function getPackageDependencies(...names) {
  return Object.fromEntries(
    names.map((name) => {
      return [name, getPackageDependency(name)];
    })
  );
}
function getPackageDependency(name) {
  const version = getPackageInner("devDependencies", name) ?? getPackageInner("dependencies", name);
  if (!version) {
    throw new Error(
      `'${name} is neither in package.json's dependencies nor its devDependencies.`
    );
  }
  return version;
}
function getPackageInner(key, name) {
  const inner = sourcePackageJson[key];
  return inner[name];
}
export {
  getPackageDependencies,
  getPackageDependency
};
//# sourceMappingURL=packageData.js.map