import { Options, OptionsBase } from '../types.js';
import 'zod';
import '../codes.js';

interface ExclusionDescription {
    hint: string;
    label: string;
    level?: "common" | "minimal";
}
type ExclusionKey = `exclude${string}` & keyof Options;
declare const exclusionDescriptions: Record<ExclusionKey, ExclusionDescription>;
declare const exclusionKeys: ExclusionKey[];
declare function getExclusions(options: Partial<Options>, base?: OptionsBase): Partial<Options>;

export { type ExclusionDescription, type ExclusionKey, exclusionDescriptions, exclusionKeys, getExclusions };
