import { setGitHubRepositoryLabels } from "set-github-repository-labels";
import { initializeGitRemote } from "../initializeGitRemote.js";
import { initializeRepositorySettings } from "../initializeRepositorySettings.js";
import { initializeBranchProtectionSettings } from "./initializeBranchProtectionSettings.js";
import { outcomeLabels } from "./outcomeLabels.js";
async function initializeGitHubRepository(octokit, options) {
  await initializeGitRemote(options);
  await initializeRepositorySettings(octokit, options);
  await initializeBranchProtectionSettings(octokit, options);
  await setGitHubRepositoryLabels({
    labels: outcomeLabels,
    owner: options.owner,
    repository: options.repository
  });
}
export {
  initializeGitHubRepository
};
//# sourceMappingURL=index.js.map