import { formatJson } from "./formatters/formatJson.js";
async function createCSpellConfig(options) {
  const words = [
    "tseslint",
    !options.excludeReleases && "apexskier",
    !options.excludeRenovate && "automerge",
    !options.excludeLintMd && "markdownlintignore",
    !options.excludeTemplatedBy && "joshuakgoldberg"
  ].filter(Boolean).sort();
  return await formatJson({
    dictionaries: ["npm", "node", "typescript"],
    ignorePaths: [
      ...options.excludeAllContributors ? [] : [".all-contributorsrc"],
      ".github",
      "CHANGELOG.md",
      ...options.excludeTests ? [] : ["coverage"],
      "lib",
      "node_modules",
      "pnpm-lock.yaml"
    ],
    words
  });
}
export {
  createCSpellConfig
};
//# sourceMappingURL=createCSpellConfig.js.map