import { formatWorkflowYaml } from "./formatWorkflowYaml.js";
function createMultiWorkflowFile({
  jobs,
  name
}) {
  return formatWorkflowYaml({
    jobs: Object.fromEntries(
      jobs.map((job) => [
        job.name.toLowerCase().replaceAll(" ", "_"),
        {
          name: job.name,
          "runs-on": "ubuntu-latest",
          steps: [
            { uses: "actions/checkout@v4" },
            { uses: "./.github/actions/prepare" },
            ...job.steps
          ]
        }
      ])
    ),
    name,
    on: {
      pull_request: null,
      push: {
        branches: ["main"]
      }
    }
  });
}
export {
  createMultiWorkflowFile
};
//# sourceMappingURL=createMultiWorkflowFile.js.map